com.io7m.jcanephora.core

## Interface JCGLTextureUsableType

- All Superinterfaces:
    JCGLNamedType, JCGLReferableType, JCGLResourceSizedType, JCGLResourceUsableType
  All Known Subinterfaces:
    JCGLTexture2DType, JCGLTexture2DUsableType, JCGLTextureCubeType, JCGLTextureCubeUsableType, JCGLTextureType

      public interface JCGLTextureUsableType
      extends JCGLNamedType, JCGLResourceUsableType, JCGLReferableType, JCGLResourceSizedType

  The type of usable textures.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLTextureFormat` | `textureGetFormat()`
    `long` | `textureGetHeight()`
    `JCGLTextureFilterMagnification` | `textureGetMagnificationFilter()`
    `JCGLTextureFilterMinification` | `textureGetMinificationFilter()`
    `com.io7m.junsigned.ranges.UnsignedRangeInclusiveL` | `textureGetRangeX()`
    `com.io7m.junsigned.ranges.UnsignedRangeInclusiveL` | `textureGetRangeY()`
    `long` | `textureGetWidth()`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLReferableType

      `getReferringContainers`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLNamedType

      `getGLName`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceSizedType

      `getRange`

- - ### Method Detail

    - #### textureGetMagnificationFilter

          JCGLTextureFilterMagnification textureGetMagnificationFilter()

      Returns:
        The texture magnification filter

    - #### textureGetMinificationFilter

          JCGLTextureFilterMinification textureGetMinificationFilter()

      Returns:
        The texture minification filter

    - #### textureGetRangeX

          com.io7m.junsigned.ranges.UnsignedRangeInclusiveL textureGetRangeX()

      Returns:
        The texture `x` axis range

    - #### textureGetRangeY

          com.io7m.junsigned.ranges.UnsignedRangeInclusiveL textureGetRangeY()

      Returns:
        The texture `y` axis range

    - #### textureGetWidth

          long textureGetWidth()

      Returns:
        The width of the texture

    - #### textureGetHeight

          long textureGetHeight()

      Returns:
        The height of the texture

    - #### textureGetFormat

          JCGLTextureFormat textureGetFormat()

      Returns:
        The texture format

Copyright © 2016 <code@io7m.com> http://io7m.com